#ifndef __IFILE_
#define __IFLE_

#include <iconv.h>

#define EUC_BUFFER      2

typedef enum {
        F_BIP = -1,
        F_NIP,
        F_TXT,
        F_CSV,
        F_ZIP,
	F_HTM
}ftype_t;

typedef enum {
        _U = -1,
        _E,
        _S,
        _J
}fcode_t;

iconv_t itextConvOpen(FILE *, unsigned char *);
void itextConvClose(iconv_t);
int itextConvKanjiCode(iconv_t,char *, char *,int);
int itextCheckEuc(unsigned char *);
int itextCheckFileType(char *);
int itextCheckFileType_ex(char *);
int itextCheckKanjiCode(FILE *, unsigned char *);
int itextBufferAlloc(unsigned char **,unsigned char **,int);
int itextBufferCat(unsigned char **,unsigned char **,unsigned char **,int *);
int itextBufferOver(unsigned char *,int ,int );
char * itextStrStr(char *, char *);

#endif


